Subject: bug#17893: 24.4.50; (error "Marker does not point anywhere")

From: Drew Adams <[email-masked]>
Date: Wed, 2 Jul 2014 09:08:42 -0700 (PDT)

> > I see.  Would a feasible enhancement be for an error backtrace to
> > show which pre-command-hook function was invoked,
> 
> This is already the case.

I see.  So something added `clear-temporary-map' to `pre-command-hook'
on the fly, I guess (since I don't see it there otherwise).

I guess that must be done in some C code, since I don't find any hits
when I grep for `clear-temporary' in the Emacs Lisp code.  (I don't
have the C code.)

Not very easy for a user to guess (or even discover) what's going on.

> > and indicate that that function was invoked from `pre-command-hook'?
> 
> That sounds fine, yes.

Then consider that enhancement request as part of this bug report.
(Or file an additional report for it, if you prefer that.)